<!DOCTYPE html>
<html lang="en" id="all">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Posicion</title>
</head>

<body id="cuerpo">
   <div id="div" style="width:150px; height:100px; border:thin solid silver">

   </div>
   <script>



      document.getElementById('all').onmousemove = function (event) { posicion(event); }

      function posicion(e) {

         var div = document.querySelector('#div');

         div.textContent = 'raton';
         console.log(div.textContent);

         var x = e.clientX;
         var y = e.clientY;
         var pos = "Posicion: (" + x + "," + y + ")";
         document.getElementById('div').innerHTML = pos;
      }

      document.getElementsByTagName('div').keypress = function (event) {
         teclado(event);
      }
      function teclado() {

      }

      document.getElementById('div')
         .addEventListener('keypress', teclado)
   </script>
</body>

</html>